schemaVersion: "2.0.0"
commandTests:
  - name: "helm is in path"
    command: "which"
    args: ["helm"]
    expectedOutput: ["/usr/local/bin/helm"]
  - name: "helm is executable"
    command: "helm"
    args: ["version", "--short"]
    expectedOutput: ["^v[0-9]+\\.[0-9]+\\.[0-9]+\\+[a-z0-9]{7,9}"]
  - name: "helm secrets is installed"
    command: "helm"
    args: ["secrets", "--help"]
    expectedOutput: ["^Secrets encryption in Helm Charts"]
  - name: "sops is in path"
    command: "which"
    args: ["sops"]
    expectedOutput: ["/usr/local/bin/sops"]
  - name: "sops is executable"
    command: "sops"
    args: ["--version"]
    expectedOutput: ["^sops [0-9]+\\.[0-9]+\\.[0-9]+"]
  - name: "vault is in path"
    command: "which"
    args: ["vault"]
    expectedOutput: ["/usr/local/bin/vault"]
  - name: "vault is executable"
    command: "vault"
    args: ["--version"]
    expectedOutput: ["^Vault v[0-9]+\\.[0-9]+\\.[0-9]+ \\([a-f0-9]+\\)"]
  - name: "kubectl is in path"
    command: "which"
    args: ["kubectl"]
    expectedOutput: ["/usr/local/bin/kubectl"]
  - name: "kubectl is executable"
    command: "kubectl"
    args: ["version", "--client", "--short"]
    expectedOutput: ["^Client Version: v[0-9]+\\.[0-9]+\\.[0-9]+"]
